POST https://webhook.example.com

Gets called when POS is being registered in Deliverect.
For instance when a new customer adds a location you will receive the register event.
After this event it should be possible to sync products and insert orders into the POS. Webhook payload contains information such as:

- Deliverect account id (accountId)
- Deliverect location id (locationId)
- The unique ID of the customer's POS (externalLocationId)
- Name of the location set in Deliverect locationName

We always expect a JSON result which contains the endpoints to:

- Sync products from the POS to Deliverect (syncProductsURL)
- Insert order from Deliverect to the POS (ordersWebhookURL)
- Sync tables from the POS to Deliverect (syncTablesURL)
- Sync floors from the POS to Deliverect (syncFloorsURL)

If an endpoint is empty or not included in this response we will not use it.

application/json

Body

Responses

  • default application/json

    default

    Hide headers attribute Show headers attribute
    • Content-Type string
POST /register
Request example
{
  "accountId": "606d8489fcd8eddf51b475a3",
  "locationId": "606d8489fcd8eddf13b100a6",
  "externalLocationId": "606b030b8d7beb2aa83e0564",
  "locationName": "Space Bar"
}
Response examples (default)
{
  "ordersWebhookURL": "https://integrator.com/ordersWebhookURL",
  "syncProductsURL": "https://integrator.com/syncProductsURL",
  "syncTablesURL": "https://integrator.com/syncTablesURL",
  "syncFloorsURL": "https://integrator.com/syncFloorsURL",
  "operationsWebhookURL": "https://integrator.com/operationsURL",
  "storeStatusWebhookURL": "https://integrator.com/storeStatusURL"
}